docs
GitHub
docs

Documentationdocs.pterodactyl.io

2.0Open beta

  • Install the Panel
  • Upgrade from 1.x
  • Extensions
  • API reference

1.xStable

  • Install the Panel
  • Install Wings
  • Troubleshooting
  • API reference

Eggseggs.pterodactyl.io

Browse

  • Games
  • Applications
  • Languages
  • Request an egg

Popular

  • Minecraft: Paper
  • Counter-Strike 2
  • Valheim
  • Palworld

Marketplacepterodactyl.io/marketplace

Panel 2.0Open beta

  • All extensions
  • Free extensions
  • Your purchases

Guides

  • Install an extension
  • Build an extension
  • Extension reference

Discorddiscord.gg/pterodactyl

Code

  • Panel
  • Wings
  • All repositories
  • Report a security issue

Project

  • About Pterodactyl
  • Community standards
  • Sponsor
GitHubDiscord
Pterodactyl 1.x
Project Information
Wings
API Overview

Client API

Application API

Delete user DELETEList users GETUser details GETUser details by external ID GETUpdate user PATCHCreate user POST
API Reference (1.x)Application users

Delete user

Deletes the specified user

DELETE/api/application/users/{user}

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Path Parameters

user*integer

User ID

Response Body

curl -X DELETE "https://example.com/api/application/users/1"
Empty
Edit on GitHub

Last updated on

Update Docker image PUT

Previous Page

List users GET

Next Page